Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.utils
Class GadgetPrefs

    java.lang.Object
      com.tibco.bpm.web.client.services.utils.GadgetPrefs

    public class GadgetPrefs

extends java.lang.Object

Method Summary
`void` | `asynchWaitForCache(com.google.gwt.user.client.Command ready)`
`void` | `flush(com.google.gwt.user.client.Command callback)`
`void` | `flushImmediate(com.google.gwt.user.client.Command callback, boolean now)`
`java.util.Set<java.lang.String>` | `getAllKeys()`
`static GadgetPrefs` | `getInstance(java.lang.String gadgetName)`
`java.lang.String` | `getPref(java.lang.String key)`
`int` | `getPrefAsInt(java.lang.String key, int defaultValue, int minValue, int maxValue)`
`java.lang.String` | `putKey(java.lang.String key, java.lang.String value)`
`java.lang.String` | `removeKey(java.lang.String key)`
`void` | `setPref(java.lang.String key, java.lang.String value)`
`void` | `setPref(java.lang.String key, java.lang.String value, boolean flush)`
`void` | `setPref(java.lang.String key, java.lang.String value, boolean flush, com.google.gwt.user.client.Command callback, boolean now)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static GadgetPrefs getInstance(java.lang.String gadgetName)

### asynchWaitForCache

    public void asynchWaitForCache(com.google.gwt.user.client.Command ready)

### getPref

    public java.lang.String getPref(java.lang.String key)

### flush

    public void flush(com.google.gwt.user.client.Command callback)

### flushImmediate

    public void flushImmediate(com.google.gwt.user.client.Command callback,
                               boolean now)

### setPref

    public void setPref(java.lang.String key,
                        java.lang.String value)

### setPref

    public void setPref(java.lang.String key,
                        java.lang.String value,
                        boolean flush)

### setPref

    public void setPref(java.lang.String key,
                        java.lang.String value,
                        boolean flush,
                        com.google.gwt.user.client.Command callback,
                        boolean now)

### getPrefAsInt

    public int getPrefAsInt(java.lang.String key,
                            int defaultValue,
                            int minValue,
                            int maxValue)

### getAllKeys

    public java.util.Set<java.lang.String> getAllKeys()

### putKey

    public java.lang.String putKey(java.lang.String key,
                                   java.lang.String value)

### removeKey

    public java.lang.String removeKey(java.lang.String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.